Subject: [mpls] poll to adopt draft-nitinb-mpls-tp-on-demand-cv as a working group document

From: Loa Andersson <[email-masked]>
Date: Mon, 21 Jun 2010 14:07:50 +0200

Working Group,

this email is to start poll to adopt
draft-nitinb-mpls-tp-on-demand-cv-00.txt
as an MPLS working group draft.

After recent experience, the chairs would like to remind you all
what it means to conduct a poll to adopt a draft as a working group
draft.

- Please recall that the IETF does not "vote." Polls of a working
   group are to gather information to help the chairs make their
   decisions. Voting is not part of the normal working methods of
   an IETF working group.

- The "rough consensus" process used in the working group assumes
   that people expressing opinions are also participating in the
   development of standards documents.

- Subscription to the list specifically to express an opinion is
   noticed by the chairs who has access to information on the new list
   members. Such behavior is not part of the normal working methods.

- The purpose of a poll for adoption is to help the chairs understand
   the level of support for a document (i.e. who has read it, who
   believes it is a good starting point for working group work, who
   will contribute to the work) and whether there are any significant
   technical issues. Statements of objection must be backed up by
   proper technical reasons.

So please respond to this poll indicating whether you support the 
adoption of this draft or stating your technical issues.

Please also not that this draft has after a discussion with the
working group chairs been renamed, it was earlier know as
draft-nitinb-mpls-tp-lsp-ping-extensions-01.

This poll ends eob July 5.

Loa and George
mpls wg co-chairs

-- 

Loa Andersson                         email: [email-masked]
Sr Strategy and Standards Manager            [email-masked]
Ericsson Inc                          phone: +46 10 717 52 13
                                              +46 767 72 92 13

---

From: "Weingarten, Yaacov (NSN - IL/Hod HaSharon)" <[email-masked]>
Date: Mon, 21 Jun 2010 14:36:44 +0200

Yes/support

BR,
yaacov

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
ext Loa Andersson
Sent: Monday, June 21, 2010 15:08
To: [email-masked]; [email-masked]; MPLS-TP ad hoc team
Subject: [mpls] poll to adopt draft-nitinb-mpls-tp-on-demand-cv as a
working group document

Working Group,

Loa and George
mpls wg co-chairs

-- 

Loa Andersson                         email: [email-masked]
Sr Strategy and Standards Manager            [email-masked]
Ericsson Inc                          phone: +46 10 717 52 13
                                              +46 767 72 92 13
_______________________________________________
mpls mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 21 Jun 2010 09:42:04 -0400

Loa,

This draft is a straightforward extension of existing MPLS OAM
mechanisms for MPLS-TP OAM functionality. I support it becoming a WG
draft.

Cheers,
Andy

On Mon, Jun 21, 2010 at 8:07 AM, Loa Andersson <[email-masked]> wrote:
> So please respond to this poll indicating whether you support the adoption
> of this draft or stating your technical issues.
>

---

From: Eric Gray <[email-masked]>
Date: Mon, 21 Jun 2010 09:47:40 -0400

Loa,

	I support adoption of this draft as a WG document.

--
Eric

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Loa Andersson
Sent: Monday, June 21, 2010 8:08 AM
To: [email-masked]; [email-masked]; MPLS-TP ad hoc team
Subject: [mpls-tp] poll to adopt draft-nitinb-mpls-tp-on-demand-cv as a working group document

Working Group,

Loa and George
mpls wg co-chairs

-- 

mpls-tp mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mpls-tp

---

From: Scott Mansfield <[email-masked]>
Date: Mon, 21 Jun 2010 09:35:09 -0400

yes, support

---

From: "Malis, Andrew G. (Andy)" <[email-masked]>
Date: Mon, 21 Jun 2010 09:39:10 -0400

Loa,

This draft is a straightforward extension of existing MPLS OAM mechanisms
for MPLS-TP OAM functionality. I support it becoming a WG draft.

Cheers,
Andy

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Mon, 21 Jun 2010 09:06:59 -0500

Loa- 

Support. 

Thanks

Regards... Zafar 
 
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Loa Andersson
> Subject: [mpls-tp] poll to adopt 
> draft-nitinb-mpls-tp-on-demand-cv as a working group document
> 
> 
> Working Group,
> 
> After recent experience, the chairs would like to remind you 
> all what it means to conduct a poll to adopt a draft as a 
> working group draft.
> 
> So please respond to this poll indicating whether you support 
> the adoption of this draft or stating your technical issues.
> 
> Please also not that this draft has after a discussion with 
> the working group chairs been renamed, it was earlier know as 
>                                               +46 767 72 92 
> 13 _______________________________________________
> mpls-tp mailing list
> [email-masked]

---

From: John E Drake <[email-masked]>
Date: Mon, 21 Jun 2010 07:05:02 -0700

+1

> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Andrew G. Malis
> Sent: Monday, June 21, 2010 6:42 AM
> To: Loa Andersson
> Cc: [email-masked]; MPLS-TP ad hoc team; [email-masked]
> Subject: Re: [mpls-tp] [mpls] poll to adopt draft-nitinb-mpls-tp-on-
> demand-cv as a working group document
> 
> Loa,
> 
> adoption

---

From: "Kyung-Yeop Hong (hongk)" <[email-masked]>
Date: Mon, 21 Jun 2010 09:13:46 -0500

I support.

Thanks,
KY

-----Original Message-----
Loa Andersson

Working Group,

Loa and George
mpls wg co-chairs

--

---

From: "Luyuan Fang (lufang)" <[email-masked]>
Date: Mon, 21 Jun 2010 09:19:35 -0500

Yes, support.
Luyuan 

-----Original Message-----
Sent: 21 June 2010 08:08

Working Group,

After recent experience, the chairs would like to remind you all what it
means to conduct a poll to adopt a draft as a working group draft.

Please also not that this draft has after a discussion with the working
group chairs been renamed, it was earlier know as
draft-nitinb-mpls-tp-lsp-ping-extensions-01.

Loa and George
mpls wg co-chairs

--

---

From: Nitin Bahadur <[email-masked]>
Date: Mon, 21 Jun 2010 09:40:31 -0700

Support.

---

From: "Reshad Rahman (rrahman)" <[email-masked]>
Date: Mon, 21 Jun 2010 21:32:07 -0500

Support

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of Loa Andersson
Sent: Monday, June 21, 2010 8:08 AM
To: [email-masked]; [email-masked]; MPLS-TP ad hoc team
Subject: [mpls-tp] poll to adopt draft-nitinb-mpls-tp-on-demand-cv as a
working group document

Working Group,

Loa and George
mpls wg co-chairs

--

---

From: David Sinicrope <[email-masked]>
Date: Tue, 22 Jun 2010 11:53:48 -0400

Yes, Support

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Loa Andersson
Sent: Monday, June 21, 2010 8:08 AM
To: [email-masked]; [email-masked]; MPLS-TP ad hoc team
Subject: [mpls-tp] poll to adopt draft-nitinb-mpls-tp-on-demand-cv as a working group document

Working Group,

Loa and George
mpls wg co-chairs

--

---

From: Autumn Liu <[email-masked]>
Date: Tue, 22 Jun 2010 12:01:45 -0400

Yes, support. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Loa Andersson
Sent: Monday, June 21, 2010 5:08 AM
To: [email-masked]; [email-masked]; MPLS-TP ad hoc team
Subject: [mpls] poll to adopt draft-nitinb-mpls-tp-on-demand-cv as a working group document

Working Group,

After recent experience, the chairs would like to remind you all what it means to conduct a poll to adopt a draft as a working group draft.

So please respond to this poll indicating whether you support the adoption of this draft or stating your technical issues.

Please also not that this draft has after a discussion with the working group chairs been renamed, it was earlier know as draft-nitinb-mpls-tp-lsp-ping-extensions-01.

Loa and George
mpls wg co-chairs

-- 

                                              +46 767 72 92 13 _______________________________________________

---

From: Sam Aldrin <[email-masked]>
Date: Tue, 22 Jun 2010 15:55:22 -0700

Support.

-sam

---

From: Muralidhar Annabathula <[email-masked]>
Date: Wed, 23 Jun 2010 00:46:30 -0700

Dear Authors,

1) Referring to sections 1.3, 3.3 and 4.2. LSP-Ping for MPLS-TP LSPs using
non-IP encapsulation. It is mentioned that in certian deployment scenarios
it might be required that LSP Ping (or for that matter any other MPLS-TP
OAM) might be run without IP addressing. In such cases the ingress node MAY
attach a source address TLV.

# My question is that since source address TLV itself is of IPv4 or IPv6
format (as defined in draft-ietf-mpls-tp-ach-tlv-02) how can a sink node
identify the source node in non-ip scenario ? Can we use source address TLV
in non-ip scenario?

2) Referring to scetion 3.3. "If a node receives an MPLS echo request packet
over ACH, without IP/UDP headers and if that node does not have a return
MPLS LSP path to the echo request source, then the node MUST drop the echo
request packet and not attempt to send a response."

# In case there is no LSP based return path and the received MPLS echo
request packet had an IPv4/IPv6 source ACH TLV and the node receiving the
MPLS echo has IP addressing/routing capabilities, in which case shouldn't it
still be able send the response over IPv4 or IPv6?

3) Referring to section 4. "This section specifies how LSP-Ping traceroute
can be used in the context of MPLS-TP LSPs.  The LSP-Ping traceroute
function meets the Adjacency and Route Tracing requirement specified in
[RFC5860].  This function SHOULD be performed on-demand.This function SHOULD
be performed between End Points and Intermediate Points of PWs and LSPs, and
between End Points of PWs, LSPs and Sections."

# For a MPLS section, traceroute may not be applicable as the nodes will
always be adjacent at the corresponding layer.

Regards,
Murali

---

From: Nitin Bahadur <[email-masked]>
Date: Wed, 23 Jun 2010 15:46:25 -0700

Hi Muralidhar,

Please see NB> below for responses to your queries....

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Muralidhar Annabathula
Sent: Wednesday, June 23, 2010 12:47 AM
To: [email-masked]
Cc: [email-masked]; MPLS-TP ad hoc team
Subject: Re: [mpls-tp] [mpls] poll to adopt draft-nitinb-mpls-tp-on-demand-cv as a working group document

Dear Authors,

1) Referring to sections 1.3, 3.3 and 4.2. LSP-Ping for MPLS-TP LSPs using non-IP encapsulation. It is mentioned that in certian deployment scenarios it might be required that LSP Ping (or for that matter any other MPLS-TP OAM) might be run without IP addressing. In such cases the ingress node MAY attach a source address TLV.

# My question is that since source address TLV itself is of IPv4 or IPv6 format (as defined in draft-ietf-mpls-tp-ach-tlv-02) how can a sink node identify the source node in non-ip scenario ? Can we use source address TLV in non-ip scenario?
NB> The src addr tlv can be anything. ietf-mpls-tp-ach-tlv is supposed to define any new address format types.
2) Referring to scetion 3.3. "If a node receives an MPLS echo request packet over ACH, without IP/UDP headers and if that node does not have a return MPLS LSP path to the echo request source, then the node MUST drop the echo request packet and not attempt to send a response."

# In case there is no LSP based return path and the received MPLS echo request packet had an IPv4/IPv6 source ACH TLV and the node receiving the MPLS echo has IP addressing/routing capabilities, in which case shouldn't it still be able send the response over IPv4 or IPv6?
NB> If there is no LSP-based return path, then your bi-directional LSP is down in some sense. If you never configured a
LSP return path, then it's the same as a uni-directional LSP. For uni-directional LSPs, it's best to apply Section 3.2 of
this draft and use a reply mode of 2 (reply using IP/UDP). I probably should clarify this in the draft.

3) Referring to section 4. "This section specifies how LSP-Ping traceroute can be used in the context of MPLS-TP LSPs.  The LSP-Ping traceroute function meets the Adjacency and Route Tracing requirement specified in [RFC5860].  This function SHOULD be performed on-demand.This function SHOULD be performed between End Points and Intermediate Points of PWs and LSPs, and between End Points of PWs, LSPs and Sections."

# For a MPLS section, traceroute may not be applicable as the nodes will always be adjacent at the corresponding layer.

NB> It's not applicable per se....but there's no reason to say that one cannot attempt to do traceroute between
adjacent nodes.

Thanks
Nitin

---

From: Muralidhar Annabathula <[email-masked]>
Date: Thu, 24 Jun 2010 10:50:49 -0700

Thanks for your response.
Inline comments

Regards,
Murali

On Wed, Jun 23, 2010 at 3:46 PM, Nitin Bahadur <[email-masked]> wrote:

>  ------------------------------
> *From:* [email-masked] [mailto:[email-masked]] *On
> Behalf Of *Muralidhar Annabathula
> *Sent:* Wednesday, June 23, 2010 12:47 AM
>
> *To:* [email-masked]
> *Cc:* [email-masked]; MPLS-TP ad hoc team
> *Subject:* Re: [mpls-tp] [mpls] poll to adopt
> [Murali] Agreed.

>
> 2) Referring to scetion 3.3. "If a node receives an MPLS echo request
> packet over ACH, without IP/UDP headers and if that node does not have a
> return MPLS LSP path to the echo request source, then the node MUST drop the
> echo request packet and not attempt to send a response."
>
>  NB> If there is no LSP-based return path, then your bi-directional LSP is
> down in some sense. If you never configured a
> LSP return path, then it's the same as a uni-directional LSP. For
> uni-directional LSPs, it's best to apply Section 3.2 of
> [Murali] Sounds good. But should the operator still be allowed to do a
non-ip encapsulated LSP Ping on a uni-LSP with Source address TLV with reply
more 2?

> [Murali] Ok

---

From: "Monique Morrow (mmorrow)" <[email-masked]>
Date: Sun, 27 Jun 2010 18:56:59 +0200

+1

Monique

-----Original Message-----
From: [email-masked] on behalf of Kyung-Yeop Hong (hongk)
Sent: Mon 6/21/2010 7:13 AM
To: Loa Andersson
Cc: [email-masked]; MPLS-TP ad hoc team; [email-masked]
Subject: Re: [mpls-tp] [mpls] poll to adoptdraft-nitinb-mpls-tp-on-demand-cv as a working group document
 
I support.

Thanks,
KY

-----Original Message-----

Working Group,

Loa and George
mpls wg co-chairs

--

---

From: Di Giglio Andrea <[email-masked]>
Date: Wed, 30 Jun 2010 15:25:02 +0200

No do not Support

Andrea

-----Messaggio originale-----
Da: [email-masked] [mailto:[email-masked]] Per conto di Loa Andersson
Inviato: lunedì 21 giugno 2010 14.08
A: [email-masked]; [email-masked]; MPLS-TP ad hoc team
Oggetto: [mpls-tp] poll to adopt draft-nitinb-mpls-tp-on-demand-cv as a working group document

Working Group,

Loa and George
mpls wg co-chairs

--

Questo messaggio e i suoi allegati sono indirizzati esclusivamente alle persone indicate. La diffusione, copia o qualsiasi altra azione derivante dalla conoscenza di queste informazioni sono rigorosamente vietate. Qualora abbiate ricevuto questo documento per errore siete cortesemente pregati di darne immediata comunicazione al mittente e di provvedere alla sua distruzione, Grazie.

This e-mail and any attachments is confidential and may contain privileged information intended for the addressee(s) only. Dissemination, copying, printing or use by anybody else is unauthorised. If you are not the intended recipient, please delete this message and any attachments and advise the sender by return e-mail, Thanks.